/*
  nostalgia isn't what it used to be, but let's try for
 an amber-monitor aesthetic
*/

@font-face {
  /*
    vt100 font created by Karl Stange
      https://fbmstudios.net/fonts/license-vt100-regular.txt
      https://fbmstudios.net/fonts/readme-vt100-regular.txt
    It's good stuff!
   */
  font-family: 'vt-100';
  src: url("/fonts/vt100-regular.otf") format("opentype");
}

* {
  border-color: #c07000;
}

body {
  background-color: #080420;
  color: #f09000;
  font-family: 'vt-100';
  font-size: 16pt;
}
table {
  table-layout: fixed;
  background-color: #202050;
  border-collapse: collapse;
  border: solid #303080;
  font-size: 16pt;
}
th {
  border: solid #282870;
  padding: 6px;
  text-align: left;
}
td {
  border: solid #303080;
  padding-left: 8px;
  padding-right: 8px;
}
code {
  font-family: 'vt-100';
  font-size: 16pt;
  color: #00c820;
}
a {
  color: #8e38c6;
}
hr {
  border-color: #c07000;
  background-color: #c07000;
}

dialog {
  background-color: #090522;
  color: #f09000;
  border: 4px ridge #c87800;
}

span[contenteditable] {
  opacity: 0.5;
}

.footnote-ref {
  color: #f0a030;
  font-size: .75em;
  vertical-align: super;
  padding: 2px;
}

/* this will center many types of elements.
unfortunately, it changes things like "display" */
.center-hack {
  display: flex;
  align-items: center;
  justify-content: center;
}
  

